### Method

# Gtk InfoBarset_message_type

deprecated: 4.10

#### Declaration [src]

    void
    gtk_info_bar_set_message_type (
      GtkInfoBar* info_bar,
      GtkMessageType message_type
    )

#### Description [src]

Sets the message type of the message area.

GTK uses this type to determine how the message is displayed.

Deprecated since: 4.10

Please do not use it in newly written code.

Sets property | `Gtk.InfoBar:message-type`

#### Parameters

`message_type`

  Type: `GtkMessageType`

  A `GtkMessageType`